Subject: FICLONE for coreutils; copy_file_range?

From: Paul Eggert <[email-masked]>
Date: Fri, 9 Sep 2016 15:46:14 -0700

I installed the attached patch so that cp etc. can use the FICLONE API 
that appears to be what the Linux kernel has standardized on for this 
sort of thing.

I notice that the Linux 4.5 kernel has added a copy_file_range syscall 
that is said to clone in some cases, but this isn't yet declared in the 
/usr/include headers on Fedora 24 (4.7.2 kernel). Also, its man page 
says it uses a size_t (not off_t) to count the number of bytes to be 
copied, which is a strange choice for a file-copying API. What's up with 
that?